Skip to content

Remove a Balance Account

Request

Closes a balance account for the user's profile.

Balance accounts must have a zero balance to be closed. Bank account details for the balance will also be deactivated and may not be restored.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

balanceIdinteger, (int64)required

The balance ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X DELETE \
  'https://api.wise.com/2026Q3/profiles/{profileId}/balances/{balanceId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

No Content - Balance successfully removed.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content